package PanierTests;

import static org.junit.jupiter.api.Assertions.*;
import org.junit.jupiter.api.Test;
import java.time.LocalDate;
import com.Vente.*; // Importation des classes du package com.Vente

public class PanierTest {

    @Test
    public void testCalculPrixTotal() {
        Panier panier = new Panier();
        Disque album = new Disque("Thriller", "Michael Jackson", 15.0);
        Nourriture pomme = new Nourriture("Pomme", LocalDate.of(2025, 5, 1), 2.5);

        panier.add(2, album);  // 2 * 15.0 = 30.0
        panier.add(5, pomme);  // 5 * 2.5 = 12.5

        assertEquals(42.5, panier.calculerTotal(), "Le total du panier devrait être 42.5€");
    }

    @Test
    public void testPanierVide() {
        Panier panier = new Panier();
        assertEquals(0.0, panier.calculerTotal(), "Le total d'un panier vide devrait être 0.0€");
    }
}
