package com.Vente;

import java.time.LocalDate;

/**
 * Classe Nourriture : représente un aliment vendable avec une date d'expiration.
 * Implémente Vendable, ce qui signifie qu'un aliment peut être ajouté à un panier.
 */
public class Nourriture implements Vendable {
    private String nom;
    private LocalDate dateExpiration;
    private double prixUnitaire;

    public Nourriture(String nom, LocalDate dateExpiration, double prixUnitaire) {
        this.nom = nom;
        this.dateExpiration = dateExpiration;
        this.prixUnitaire = prixUnitaire;
    }

    @Override
    public double getPrixUnitaire() {
        return prixUnitaire;
    }
}