package com.Vente;

/**
 * Classe Utilisateur : représente un utilisateur qui possède un panier et peut calculer le total de ses achats.
 */
public class Utilisateur {
    private Panier panier;

    public Utilisateur() {
        this.panier = new Panier();
    }

    /**
     * Retourne le prix total des achats de l'utilisateur en appelant calculerTotal() sur son panier.
     * @return Prix total du panier
     */
    public double calculerTotalAchats() {
        return panier.calculerTotal();
    }

    /**
     * Ajoute un produit au panier de l'utilisateur.
     * @param quantite Quantité à ajouter
     * @param chose Objet vendable
     */
    public void ajouterProduitAuPanier(int quantite, Vendable chose) {
        panier.add(quantite, chose);
    }
}
